dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);
LManager:AddGame(eGAME_TAG);

-- circle formation
LManager:AddTable(eTYPE_TABLE1, 260, 225);
LManager:AddTable(eTYPE_TABLE1, 440, 225);
LManager:AddTable(eTYPE_TABLE1, 160, 335);
LManager:AddTable(eTYPE_TABLE1, 540, 335);
LManager:AddTable(eTYPE_TABLE1, 350, 355);
LManager:AddTable(eTYPE_TABLE1, 90, 445);
LManager:AddTable(eTYPE_TABLE1, 620, 445);
LManager:AddTable(eTYPE_TABLE1, 255, 495);
LManager:AddTable(eTYPE_TABLE1, 455, 495);

LManager:AddCandle(165, 74, 10000);
LManager:AddCandle(285, 74, 10000);
LManager:AddCandle(576, 74, 10000);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 7;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED11);
seated.tableIdx = 8;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED12);
seated.tableIdx = 9;
LManager:AddSeated(seated);

-- table 1
guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 32000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 78000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 113000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 159000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 215000;
LManager:AddGuest(guest);

-- table 2
guest = LManager.GenGuest(eTYPE_GUEST11);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 83000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 108000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 158000;
LManager:AddGuest(guest);

-- table 3
guest = LManager.GenGuest(eTYPE_GUEST12);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 8000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 103000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 153000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 211000;
LManager:AddGuest(guest);

-- table 4
guest = LManager.GenGuest(eTYPE_GUEST13);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 30000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 118000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 164000;
LManager:AddGuest(guest);

-- table 5
guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 38000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 68000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 93000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 165000;
LManager:AddGuest(guest);

-- table 6
guest = LManager.GenGuest(eTYPE_GUEST9);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 13000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 63000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 128000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 143000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 183000;
LManager:AddGuest(guest);

-- table 7
guest = LManager.GenGuest(eTYPE_GUEST14);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 18000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 58000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 133000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 178000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 205000;
LManager:AddGuest(guest);

-- table 8
guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 28000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 53000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 87000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 188000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 203000;
LManager:AddGuest(guest);

-- table 9
guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 40000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 85000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 138000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 193000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 205000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(5,2);
LManager:SetLevelScores(11000, 11400);
LManager:SetLevelTime(25000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();